import { HttpClient } from "@angular/common/http";
import { BaseApiTemplateService } from "../../shared/base-api-template-service.model";
import { GenericDocLineOpenQueueContainerModel } from "../../../../../../models";
import { ApiResponseModel, ApiVisa } from "../../shared";
import { Observable } from "rxjs";
export declare class GenericDocLineOpenQueueService extends BaseApiTemplateService<GenericDocLineOpenQueueContainerModel> {
    constructor(http: HttpClient);
    approveLineItem(guid: string, visa: ApiVisa): Observable<ApiResponseModel<any>>;
    approveLineItems(lineGuids: string[], visa: ApiVisa): Observable<ApiResponseModel<any>>;
    deletePermenetly(dtoObject: any, visa: ApiVisa): Observable<ApiResponseModel<any>>;
    deleteByGendocHdrGuid(hdrGuid: any, visa: ApiVisa): Observable<ApiResponseModel<any>>;
    deleteOpenQueueCreateCloseQueue(guid: string, visa: ApiVisa): Observable<ApiResponseModel<any>>;
}
